MPI_File_read_all_begin(3)

NAME
MPI_File_read_all_begin - Reads a file starting at the locations specified by individual file pointers; beginning part of a split collective routine (nonblocking).

SYNTAX
C Syntax
    #include <mpi.h>
    int MPI_File_read_all_begin(MPI_File fh, void *buf,
    	      int count, MPI_Datatype datatype)
Fortran Syntax
    INCLUDE 'mpif.h'
    MPI_FILE_READ_ALL_BEGIN(FH, BUF, COUNT, DATATYPE, IERROR)
		<TYPE>		BUF(*)
        	INTEGER		FH, COUNT, DATATYPE, IERROR

C++ Syntax
#include <mpi.h>
void MPI::File::Read_all_begin(void* buf, int count,
	const MPI::Datatype& datatype)

INPUT/OUTPUT PARAMETER

fh  File handle (handle).

INPUT PARAMETERS

count
    Number of elements in buffer (integer).

datatype
    Data type of each buffer element (handle).

OUTPUT PARAMETERS

buf Initial address of buffer (choice).

IERROR
    Fortran only: Error status (integer).

DESCRIPTION
MPI_File_read_all_begin is the beginning part of a split collective operation that attempts to read from the file associated with fh (at the current individual file pointer position maintained by the system) a total number of count data items having datatype type into the user's buffer buf. The data is taken out of those parts of the file specified by the current view.

NOTES
All the nonblocking collective routines for data access are "split" into two routines, each with _begin or _end as a suffix. These split collective routines are subject to the semantic rules described in Section 9.4.5 of the MPI-2 standard.

ERRORS
Almost all MPI routines return an error value; C routines as the value of the function and Fortran routines in the last argument. C++ functions do not return errors. If the default error handler is set to MPI::ERRORS_THROW_EXCEPTIONS, then on error the C++ exception mechanism will be used to throw an MPI:Exception object.

Before the error value is returned, the current MPI error handler is called. For MPI I/O function errors, the default error handler is set to MPI_ERRORS_RETURN. The error handler may be changed with MPI_File_set_errhandler; the predefined error handler MPI_ERRORS_ARE_FATAL may be used to make I/O errors fatal. Note that MPI does not guarantee that an MPI program can continue past an error.